> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get a design library

GET https://api.contentful.com/spaces/{spaceId}/design_libraries/{designLibraryId}

Retrieves a design library owned by the space or shared with it from the same organisation.

The response includes:

- A link to the environment the design library is based on.
- Sharing settings that identify the spaces that can read and install the library.
- A link to the recommended design library version, or `null` if no recommendation is set.

Reference: https://contentful.com/developers/docs/references/experience-management-api/design-libraries/get-design-library

## Authentication

- `Authorization` header (bearer token, required) — Contentful Management API token

## Request

### Path parameters

- `spaceId` (string, required)
- `designLibraryId` (string, required)

## Response

### 200

200

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaSys, required)
- `name` (string, required)
- `description` (string, required, nullable)
- `sharedWithSpaces` (SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaSharedWithSpaces, required)
- `recommendedVersion` (SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaRecommendedVersion, required, nullable)

## Errors

### 400 Bad Request Error

400

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 401 Unauthorized Error

401

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 403 Forbidden Error

403

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 404 Not Found Error

404

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 409 Conflict Error

409

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 422 Unprocessable Entity Error

422

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

### 500 Internal Server Error

500

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)

## Types

### SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaSys

- `id` (string, required)
- `type` ("Error", required)

### SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaSharedWithSpaces

- "*"
- list of string

### SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaRecommendedVersion

- `sys` (SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaRecommendedVersionSys, required)

### SpacesSpaceIdDesignLibrariesDesignLibraryIdGetResponsesContentApplicationJsonSchemaRecommendedVersionSys

- `type` ("Link", required)
- `linkType` ("DesignLibraryVersion", required)
- `id` (string, required)

## Examples

**Response**

```json
{
  "sys": {
    "id": "string",
    "type": "string",
    "basedOn": {
      "concept": {
        "sys": {
          "id": "string",
          "linkType": "string",
          "type": "string"
        }
      },
      "environment": {
        "sys": {
          "id": "string",
          "linkType": "string",
          "type": "string"
        }
      }
    },
    "createdAt": "string",
    "createdBy": {
      "sys": {
        "id": "string",
        "linkType": "string",
        "type": "string"
      }
    },
    "space": {
      "sys": {
        "id": "string",
        "linkType": "string",
        "type": "string"
      }
    },
    "updatedAt": "string",
    "updatedBy": {
      "sys": {
        "id": "string",
        "linkType": "string",
        "type": "string"
      }
    },
    "version": 1
  },
  "name": "string",
  "description": "string",
  "sharedWithSpaces": "string",
  "recommendedVersion": {
    "sys": {
      "type": "string",
      "linkType": "string",
      "id": "string"
    }
  }
}
```